xine-lib: xine-lib-1.2.13/src/libw32dll/DirectShow/cmediasample.c File Reference

xine-lib 1.2.13-20230125hg15249

Functions | Variables
cmediasample.c File Reference
`#include "cmediasample.h"`
`#include "../wine/winerror.h"`
`#include <stdio.h>`
`#include <string.h>`
`#include <stdlib.h>`

## Functions
static long STDCALL | CMediaSample_QueryInterface (IUnknown *This, const GUID *iid, void **ppv)
static long STDCALL | CMediaSample_AddRef (IUnknown *This)
void | CMediaSample_Destroy (CMediaSample *This)
static long STDCALL | CMediaSample_Release (IUnknown *This)
static HRESULT STDCALL | CMediaSample_GetPointer (IMediaSample *This, BYTE **ppBuffer)
static long STDCALL | CMediaSample_GetSize (IMediaSample *This)
static HRESULT STDCALL | CMediaSample_GetTime (IMediaSample *This, REFERENCE_TIME *pTimeStart, REFERENCE_TIME *pTimeEnd)
static HRESULT STDCALL | CMediaSample_SetTime (IMediaSample *This, REFERENCE_TIME *pTimeStart, REFERENCE_TIME *pTimeEnd)
static HRESULT STDCALL | CMediaSample_IsSyncPoint (IMediaSample *This)
static HRESULT STDCALL | CMediaSample_SetSyncPoint (IMediaSample *This, long bIsSyncPoint)
static HRESULT STDCALL | CMediaSample_IsPreroll (IMediaSample *This)
static HRESULT STDCALL | CMediaSample_SetPreroll (IMediaSample *This, long bIsPreroll)
static long STDCALL | CMediaSample_GetActualDataLength (IMediaSample *This)
static HRESULT STDCALL | CMediaSample_SetActualDataLength (IMediaSample *This, long __MIDL_0010)
static HRESULT STDCALL | CMediaSample_GetMediaType (IMediaSample *This, AM_MEDIA_TYPE **ppMediaType)
static HRESULT STDCALL | CMediaSample_SetMediaType (IMediaSample *This, AM_MEDIA_TYPE *pMediaType)
static HRESULT STDCALL | CMediaSample_IsDiscontinuity (IMediaSample *This)
static HRESULT STDCALL | CMediaSample_SetDiscontinuity (IMediaSample *This, long bDiscontinuity)
static HRESULT STDCALL | CMediaSample_GetMediaTime (IMediaSample *This, LONGLONG *pTimeStart, LONGLONG *pTimeEnd)
static HRESULT STDCALL | CMediaSample_SetMediaTime (IMediaSample *This, LONGLONG *pTimeStart, LONGLONG *pTimeEnd)
static void | CMediaSample_SetPointer (CMediaSample *This, char *pointer)
static void | CMediaSample_ResetPointer (CMediaSample *This)
CMediaSample * | CMediaSampleCreate (IMemAllocator *allocator, int _size)

## Variables
static const int | SAFETY_ACEL = 1024

## Function Documentation

## ◆ CMediaSample_AddRef()

static long STDCALL CMediaSample_AddRef | ( | IUnknown * | This | ) |
| static

References Debug.

Referenced by CMediaSampleCreate().

## ◆ CMediaSample_Destroy()

void CMediaSample_Destroy | ( | CMediaSample * | This | ) |

References Debug, _CMediaSample::media_type, _CMediaSample::own_block, _CMediaSample::refcount, and _CMediaSample::vt.

Referenced by CMediaSampleCreate(), and MemAllocator_Decommit().

## ◆ CMediaSample_GetActualDataLength()

static long STDCALL CMediaSample_GetActualDataLength | ( | IMediaSample * | This | ) |
| static

References Debug.

Referenced by CMediaSampleCreate().

## ◆ CMediaSample_GetMediaTime()

static HRESULT STDCALL CMediaSample_GetMediaTime | ( | IMediaSample * | This,
|  | LONGLONG * | pTimeStart,
|  | LONGLONG * | pTimeEnd )
| static

References Debug.

Referenced by CMediaSampleCreate().

## ◆ CMediaSample_GetMediaType()

static HRESULT STDCALL CMediaSample_GetMediaType | ( | IMediaSample * | This,
|  | AM_MEDIA_TYPE ** | ppMediaType )
| static

References AM_MEDIA_TYPE, and Debug.

Referenced by CMediaSampleCreate().

## ◆ CMediaSample_GetPointer()

static HRESULT STDCALL CMediaSample_GetPointer | ( | IMediaSample * | This,
|  | BYTE ** | ppBuffer )
| static

References Debug.

Referenced by CMediaSampleCreate().

## ◆ CMediaSample_GetSize()

static long STDCALL CMediaSample_GetSize | ( | IMediaSample * | This | ) |
| static

References Debug.

Referenced by CMediaSampleCreate().

## ◆ CMediaSample_GetTime()

static HRESULT STDCALL CMediaSample_GetTime | ( | IMediaSample * | This,
|  | REFERENCE_TIME * | pTimeStart,
|  | REFERENCE_TIME * | pTimeEnd )
| static

References Debug.

Referenced by CMediaSampleCreate().

## ◆ CMediaSample_IsDiscontinuity()

static HRESULT STDCALL CMediaSample_IsDiscontinuity | ( | IMediaSample * | This | ) |
| static

References Debug.

Referenced by CMediaSampleCreate().

## ◆ CMediaSample_IsPreroll()

static HRESULT STDCALL CMediaSample_IsPreroll | ( | IMediaSample * | This | ) |
| static

References Debug.

Referenced by CMediaSampleCreate().

## ◆ CMediaSample_IsSyncPoint()

static HRESULT STDCALL CMediaSample_IsSyncPoint | ( | IMediaSample * | This | ) |
| static

References Debug.

Referenced by CMediaSampleCreate().

## ◆ CMediaSample_QueryInterface()

static long STDCALL CMediaSample_QueryInterface | ( | IUnknown * | This,
|  | const GUID * | iid,
|  | void ** | ppv )
| static

References Debug, and IID_IMediaSample.

Referenced by CMediaSampleCreate().

## ◆ CMediaSample_Release()

static long STDCALL CMediaSample_Release | ( | IUnknown * | This | ) |
| static

References _CMediaSample::all, Debug, IMemAllocator_vt::ReleaseBuffer, and _IMemAllocator::vt.

Referenced by CMediaSampleCreate().

## ◆ CMediaSample_ResetPointer()

static void CMediaSample_ResetPointer | ( | CMediaSample * | This | ) |
| static

References _CMediaSample::block, Debug, and _CMediaSample::own_block.

Referenced by CMediaSampleCreate().

## ◆ CMediaSample_SetActualDataLength()

static HRESULT STDCALL CMediaSample_SetActualDataLength | ( | IMediaSample * | This,
|  | long | __MIDL_0010 )
| static

References _CMediaSample::actual_size, _CMediaSample::block, Debug, _CMediaSample::own_block, SAFETY_ACEL, and _CMediaSample::size.

Referenced by CMediaSampleCreate().

## ◆ CMediaSample_SetDiscontinuity()

static HRESULT STDCALL CMediaSample_SetDiscontinuity | ( | IMediaSample * | This,
|  | long | bDiscontinuity )
| static

References Debug.

Referenced by CMediaSampleCreate().

## ◆ CMediaSample_SetMediaTime()

static HRESULT STDCALL CMediaSample_SetMediaTime | ( | IMediaSample * | This,
|  | LONGLONG * | pTimeStart,
|  | LONGLONG * | pTimeEnd )
| static

References Debug.

Referenced by CMediaSampleCreate().

## ◆ CMediaSample_SetMediaType()

static HRESULT STDCALL CMediaSample_SetMediaType | ( | IMediaSample * | This,
|  | AM_MEDIA_TYPE * | pMediaType )
| static

References AM_MEDIA_TYPE, and Debug.

Referenced by CMediaSampleCreate().

## ◆ CMediaSample_SetPointer()

static void CMediaSample_SetPointer | ( | CMediaSample * | This,
|  | char * | pointer )
| static

References _CMediaSample::block, Debug, and _CMediaSample::own_block.

Referenced by CMediaSampleCreate().

## ◆ CMediaSample_SetPreroll()

static HRESULT STDCALL CMediaSample_SetPreroll | ( | IMediaSample * | This,
|  | long | bIsPreroll )
| static

References Debug.

Referenced by CMediaSampleCreate().

## ◆ CMediaSample_SetSyncPoint()

static HRESULT STDCALL CMediaSample_SetSyncPoint | ( | IMediaSample * | This,
|  | long | bIsSyncPoint )
| static

References Debug.

Referenced by CMediaSampleCreate().

## ◆ CMediaSample_SetTime()

static HRESULT STDCALL CMediaSample_SetTime | ( | IMediaSample * | This,
|  | REFERENCE_TIME * | pTimeStart,
|  | REFERENCE_TIME * | pTimeEnd )
| static

References Debug.

Referenced by CMediaSampleCreate().

## ◆ CMediaSampleCreate()

CMediaSample * CMediaSampleCreate | ( | IMemAllocator * | allocator,
|  | int | _size )

References _CMediaSample::actual_size, IMediaSample_vt::AddRef, _CMediaSample::all, _CMediaSample::block, CMediaSample_AddRef(), CMediaSample_Destroy(), CMediaSample_GetActualDataLength(), CMediaSample_GetMediaTime(), CMediaSample_GetMediaType(), CMediaSample_GetPointer(), CMediaSample_GetSize(), CMediaSample_GetTime(), CMediaSample_IsDiscontinuity(), CMediaSample_IsPreroll(), CMediaSample_IsSyncPoint(), CMediaSample_QueryInterface(), CMediaSample_Release(), CMediaSample_ResetPointer(), CMediaSample_SetActualDataLength(), CMediaSample_SetDiscontinuity(), CMediaSample_SetMediaTime(), CMediaSample_SetMediaType(), CMediaSample_SetPointer(), CMediaSample_SetPreroll(), CMediaSample_SetSyncPoint(), CMediaSample_SetTime(), Debug, IMediaSample_vt::GetActualDataLength, IMediaSample_vt::GetMediaTime, IMediaSample_vt::GetMediaType, IMediaSample_vt::GetPointer, IMediaSample_vt::GetSize, IMediaSample_vt::GetTime, IMediaSample_vt::IsDiscontinuity, _CMediaSample::isDiscontinuity, IMediaSample_vt::IsPreroll, _CMediaSample::isPreroll, IMediaSample_vt::IsSyncPoint, _CMediaSample::media_type, NULL, _CMediaSample::own_block, IMediaSample_vt::QueryInterface, _CMediaSample::refcount, IMediaSample_vt::Release, _CMediaSample::ResetPointer, SAFETY_ACEL, IMediaSample_vt::SetActualDataLength, IMediaSample_vt::SetDiscontinuity, IMediaSample_vt::SetMediaTime, IMediaSample_vt::SetMediaType, _CMediaSample::SetPointer, IMediaSample_vt::SetPreroll, IMediaSample_vt::SetSyncPoint, IMediaSample_vt::SetTime, _CMediaSample::size, _CMediaSample::time_end, _CMediaSample::time_start, _CMediaSample::type_valid, and _CMediaSample::vt.

Referenced by MemAllocator_Commit().

## Variable Documentation

## ◆ SAFETY_ACEL

const int SAFETY_ACEL = 1024
| static

Referenced by CMediaSample_SetActualDataLength(), and CMediaSampleCreate().